Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXDomImpl

    java.lang.Object
      org.basex.api.dom.BXDomImpl

All Implemented Interfaces:
  DOMImplementation

    public final class BXDomImpl

extends Object
implements DOMImplementation

DOM - implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`BXDomImpl()`

Method Summary
`Document` | `createDocument(String nsURI, String qn, DocumentType doctype)`
`DocumentType` | `createDocumentType(String qn, String pid, String sid)`
`static BXDomImpl` | `get()` Returns the only instance of this class.
`Object` | `getFeature(String f, String v)`
`boolean` | `hasFeature(String f, String v)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXDomImpl

    public BXDomImpl()

Method Detail

### get

    public static BXDomImpl get()

  Returns the only instance of this class.

  Returns:
    instance

### createDocument

    public Document createDocument(String nsURI,
                                   String qn,
                                   DocumentType doctype)

  Specified by:
    `createDocument` in interface `DOMImplementation`

### createDocumentType

    public DocumentType createDocumentType(String qn,
                                           String pid,
                                           String sid)

  Specified by:
    `createDocumentType` in interface `DOMImplementation`

### getFeature

    public Object getFeature(String f,
                             String v)

  Specified by:
    `getFeature` in interface `DOMImplementation`

### hasFeature

    public boolean hasFeature(String f,
                              String v)

  Specified by:
    `hasFeature` in interface `DOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD